<%@ Page Language="vb" Codebehind="OpmlCombine.aspx.vb" Inherits="Samples.Samples.Opml.OpmlCombine"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Web20Tools Sample - How to read multiple OPML Feeds and Aggregate into a 
			single feed (filtered)</title>
		<style type="text/css">
        td { font-family:verdana; font-size:12px;}    
        </style>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">		
		<script language="javascript">
	
	  function AddUrls()
	  {
		var isExists;	
		if(document.getElementById("rdddl").checked == true)
		{
			var e = document.getElementById("ddlUrls");
			var strVersion = e.options[e.selectedIndex].value;
			var o = document.createElement("option");
			o.text = strVersion;
			o.value = strVersion;
			isExists = Check(strVersion); 
			 if(isExists == false)
			 {		
				return true;
			 }
			 else
			 {
				alert("Selected Url exists for aggregate");
			    return false;
			 }
		}
		else if(document.getElementById("rdtxt").checked == true)
		{
			
			var strVersion = document.getElementById("txtEnterUrl").value;
			var o = document.createElement("option");
			o.text = strVersion;
			o.value = strVersion;
			isExists = Check(strVersion);
			
			if(isExists == false)
			 {			
				return true;
			 }
			 else
			 {
				alert("Selected Url exists for aggregate");
				return false;
			 }
		}		
		return false;		
	  }
	 
        function ShowError()
		{		    
		    document.getElementById("divError").style.display="block";
		    document.getElementById("divError").style.position="absolute";
		    document.getElementById("divError").style.top="730px";
		    document.getElementById("divError").style.left="450px";
		    return false;
		}
			 
	  function Check(addvalue)
	  {
		var count = document.getElementById('lbURL').options.length; 			
		if(count != 0)
		{
			for(var x = 0; x < count; x++)
			{
				var chkvalue = document.getElementById('lbURL').options[x].value;				
				if(chkvalue == addvalue)
				{
					return true;
				}				
			}
		}
		return false;
	  }
	 
	  function EnableDisable()
	  {
		if(document.getElementById("rdddl").checked == true)
		{
			document.getElementById("txtEnterUrl").disabled = true;
			document.getElementById("txtEnterUrl").value = "http://";  
			document.getElementById("ddlUrls").disabled = false;  
		}
		else 
		{
			document.getElementById("ddlUrls").disabled = true; 
			document.getElementById("txtEnterUrl").disabled = false;
		}
	  }
	 
	  
	  function Aggregate()
	  {
		var count = document.getElementById('lbURL').options.length;
		if(count == 0)
		{
			alert("Enter the Feed Url");
			return false;
		}
		if(document.getElementById('txtHeadTitle').value=="" )
		{
			alert("Enter Head Title");
			document.getElementById('txtHeadTitle').focus();
			return false;
		}
		if(document.getElementById('txtHeadOwner').value=="" )
		{
			alert("Enter Head Owner");
			document.getElementById('txtHeadOwner').focus();
			return false;
		}
		return true;
	  }
	  
	  
	  
	  function trimString (str) 
	   {
			str = this != window? this : str;
			return str.replace(/^\s+/g, '').replace(/\s+$/g, '');
	   } 	  
		</script>
	</HEAD>
	<body bgcolor="#BDC7DA" style="font-family: Verdana; font-size: 12px;">
		<form id="Form1" method="post" runat="server">
			<table width="100%">
            <tr>
                <td align="center">
                    <table width="75%" bgcolor="white" cellspacing="10" style="border: solid 2px black;">
                        <tr>
                            <td colspan="3">
                                <a href="http://www.web20tools.net">Web 2.0 Tools for .NET Developers</a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <table align="right">
                                    <tr>
                                        <td>
                                            <p><A href="../OpmlMenuIndex.htm"> Index </A>&nbsp; &nbsp;<A href="OpmlCreate.aspx">Prev</A>&nbsp; 
													&nbsp;</p>
											</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
									<h2>How to read multiple OPML Feeds and Aggregate into a single feed (filtered)</h2>
								</td>
                        </tr>
                        <tr>
                            <td colspan="3" bgcolor="#f0f0f0" style="border: solid 1px black; padding-left: 20px;
                                padding-right: 20px;">
                                <table width="100%">
                                    <tr>
                                        <td colspan="3">
                                            The following sample shows the capability of <i>OPML.NET</i> to 
												create different versions of OPML feeds. The current version (2.0.0.0) supports 
												1.0 and 2.0 feeds.
											</td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" style="text-align: justify;">
												<ul>
													<li>
														The following sample creates an Opml feed based on the information provided in 
														the input boxes. The application provides default values for the input boxes. 
														You can modify the values as per what you feel good. Select the version for the 
														feed that you want to create and click on the <b>Aggregate</b>
													button.
													<li>
														After the feed is created, a link will be displayed. You can view the feed by 
														clicking on the link.
													</li>
												</ul>
											</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
										<tr>
											<td width="30%"></td>
											<td width="1%"></td>
											<td width="60%"><asp:label id="lblCreated" runat="server" Font-Bold="True"></asp:label>&nbsp;
												<asp:hyperlink id="hlOpenXMLTop" runat="server"></asp:hyperlink></td>
										</tr>
										<tr>
											<td><asp:radiobutton id="rdddl" CssClass="OptionButton" Text="OPML Feeds:" Runat="server" GroupName="OpmlURL"></asp:radiobutton></td>
											<td colspan="2"><asp:dropdownlist id="ddlUrls" runat="server" CssClass="DropDown_large" Width="80%"></asp:dropdownlist></td>
										</tr>
										<tr>
											<td><asp:radiobutton id="rdtxt" CssClass="OptionButton" Runat="server" Text="Enter Url:" GroupName="OpmlURL"></asp:radiobutton></td>
											<td colspan="2"><asp:textbox id="txtEnterUrl" Runat="server" CssClass="textbox_large" Width="80%">http://</asp:textbox></td>
										</tr>
										<tr>
											<td></td>
											<td colSpan="2">
												<asp:Button ID="btnAddUrls" Text="Add Urls" Runat="server" CssClass="Button" Width="20%" onclick="btnAddUrls_Click"></asp:Button>
												&nbsp; &nbsp;
												<asp:Button ID="btnRemove" Text="Remove Urls" Runat="server" CssClass="Button" Width="20%" onclick="btnRemove_Click"></asp:Button>
											</td>
										</tr>
										<TR>
											<TD>&nbsp;</TD>
											<TD colSpan="2">
												<asp:ListBox id="lbURL" runat="server" CssClass="ListBox" SelectionMode="Multiple" Width="80%"></asp:ListBox></TD>
										</TR>
										<TR>
											<TD></TD>
											<TD colSpan="2"></TD>
										</TR>
										<TR>
											<TD colSpan="3"><B>Enter Head Information</B></TD>
										</TR>
										<TR>
											<TD align="right">Title :</TD>
											<TD colSpan="2">
												<asp:TextBox id="txtHeadTitle" Runat="server" CssClass="textbox_large" Width="80%"></asp:TextBox></TD>
										</TR>
										<TR>
											<TD align="right">Owner Name :</TD>
											<TD colSpan="2">
												<asp:TextBox id="txtHeadOwner" Runat="server" CssClass="textbox_large" Width="80%"></asp:TextBox></TD>
										</TR>
										<TR>
											<TD align="right">Filter Outlines By :</TD>
											<TD>
												<asp:DropDownList id="ddlitem" Runat="server" Enabled="False" CssClass="Border"></asp:DropDownList></TD>
											<TD>
												<asp:DropDownList id="ddloption" Runat="server" CssClass="Border"></asp:DropDownList>&nbsp; 
												&nbsp;
												<asp:TextBox id="txtKeyword" Runat="server" Width="216px" CssClass="textbox_normal"></asp:TextBox></TD>
										</TR>
										<TR>
											<TD></TD>
											<TD colSpan="2">
												<asp:Button id="btnAggregate" runat="server" Text="Aggregate" CssClass="Button" Width="20%"
													onclick="btnAggregate_Click"></asp:Button>&nbsp;
											</TD>
										</TR>
										<TR>
											<TD align="right" width="21%"></TD>
											<TD colSpan="2">&nbsp;
												<asp:label id="lblMsg" runat="server" CssClass="ErrorMsg" ForeColor="Red"></asp:label>
												<asp:HyperLink ID="hlViewError" runat="server"></asp:HyperLink>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
												<asp:label id="lblCreatedBottom" runat="server" Font-Bold="True"></asp:label>&nbsp;
												<asp:hyperlink id="hlOpenXML" runat="server"></asp:hyperlink></TD>
										</TR>
										<TR>
											<TD colSpan="3"><A href="../OpmlMenuIndex.htm">&lt;&lt; Back to OPML.NET Samples </A>
											</TD>
										</TR>
									<tr>
                            <td colspan="3">
                                <div id="divError" style="display: none; width: 270px; background-color: White; border: solid 2px"
                                    runat="server">
                                    <table width="100%">
                                        <tr>
                                            <td align="right">
                                                <a href="#" onclick="document.getElementById('divError').style.display='none';">Close</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="labelError">
                                                <asp:Label ID="lblError" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <center>
            Copyright  2002 - 2008 ToolButton Inc. All rights reserved.</center>
    </form>
</body>
</html>
