<%@ Page Language="vb" Codebehind="OpmlCreate.aspx.vb" Inherits="Samples.Samples.Opml.OpmlCreate" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
    <title>Web20Tools Samples - How to create an OPML feed </title>
    <style type="text/css">
        td { font-family:verdana; font-size:12px;}    
        </style>
    <meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
    <meta content="C#" name="CODE_LANGUAGE">
    <meta content="JavaScript" name="vs_defaultClientScript">
    <meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">

    <script language="javascript">
		function clearLables()
		{
			document.getElementById("lblCreated").innerHTML = "";
			document.getElementById("hlOpenXML").innerHTML = "";
			document.getElementById("hlOpenXMLtop").innerHTML = "";
			document.getElementById("lblMsg").innerHTML = "";
			document.getElementById("lblCreatedBottom").innerHTML = "";
			
			return true;
		}
		
		function ShowError()
		{		    
		    document.getElementById("divError").style.display="block";
		    document.getElementById("divError").style.position="absolute";
		    document.getElementById("divError").style.left="450px";
		    
		    var e = document.getElementById("ddlVersions");
			var strVersion = e.options[e.selectedIndex].value;
		    
		    if(strVersion=="1.0")
			{
			    document.getElementById("divError").style.top="600px";
			}
			if(strVersion=="2.0")
			{
			    document.getElementById("divError").style.top="630px";
			}
		    
		    return false;
		}
		
		function showVersion()
		{
			var e = document.getElementById("ddlVersions");
			var strVersion = e.options[e.selectedIndex].value;
			
			if(strVersion=="1.0")
			{
				document.getElementById("lblOwnerId").style.display="none";
				document.getElementById("lblIdColon").style.display="none";
				document.getElementById("txtOwnerId").style.display="none";
			}
			else if(strVersion=="2.0")
			{
				document.getElementById("lblOwnerId").innerHTML = "Owner Id";
				document.getElementById("lblIdColon").innerHTML = ":";
				document.getElementById("lblOwnerId").style.display="";
				document.getElementById("lblIdColon").style.display="";
				document.getElementById("txtOwnerId").style.display="";		
			}
			document.getElementById("lblCreated").innerHTML = "";
			document.getElementById("hlOpenXML").innerHTML = "";
			document.getElementById("hlOpenXMLtop").innerHTML = "";
			document.getElementById("lblMsg").innerHTML = "";
			document.getElementById("hlViewError").innerHTML = "";
			document.getElementById("lblCreatedBottom").innerHTML = "";
		  }
		  
		  function showVersionDiv()
		{
			var e = document.getElementById("ddlVersions");
			var strVersion = e.options[e.selectedIndex].value;
			
			if(strVersion=="1.0")
			{
				document.getElementById("lblOwnerId").style.display="none";
				document.getElementById("lblIdColon").style.display="none";
				document.getElementById("txtOwnerId").style.display="none";
			}
			else if(strVersion=="2.0")
			{
				document.getElementById("lblOwnerId").innerHTML = "Owner Id";
				document.getElementById("lblIdColon").innerHTML = ":";
				document.getElementById("lblOwnerId").style.display="";
				document.getElementById("lblIdColon").style.display="";
				document.getElementById("txtOwnerId").style.display="";		
			}
			
		  }
		
    </script>

</head>
<body bgcolor="#BDC7DA" style="font-family: Verdana; font-size: 12px;">
    <form id="Form1" method="post" runat="server">
        <table width="100%">
            <tr>
                <td align="center">
                    <table width="75%" bgcolor="white" cellspacing="10" style="border: solid 2px black;">
                        <tr>
                            <td colspan="3">
                                <a href="http://www.web20tools.net">Web 2.0 Tools for .NET Developers</a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <table align="right">
                                    <tr>
                                        <td>
                                            <p>
                                                <a href="../OpmlMenuIndex.htm">Index </a>&nbsp; &nbsp;<a href="OpmlStream.aspx">Prev</a>&nbsp;
                                                &nbsp; <a href="OpmlCombine.aspx">Next</a>&nbsp;&nbsp;&nbsp;</p>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <h2>
                                    How to create an OPML feed
                                </h2>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" bgcolor="#f0f0f0" style="border: solid 1px black; padding-left: 20px;
                                padding-right: 20px;">
                                <table width="100%">
                                    <tr>
                                        <td colspan="3">
                                            The following sample shows the capability of OPML.NET to create different versions
                                            of OPML feeds. The current version (2.0.0.0) supports OPML 1.0 and 2.0 feeds.
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" style="text-align: justify;">
                                            <b>Description</b><br />
                                            The following sample creates an OPML feed based on the information provided in the
                                            input boxes. The application provides default values for the input boxes. You can
                                            modify the values as per what you feel good. Select the version for the feed that
                                            you want to create and click on the <b>Create</b> button.
                                            <br />
                                            <br />
                                            After the feed is created, a link will be displayed. You can view the feed by clicking
                                            on the link.
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td align="right" width="21%">
                            </td>
                            <td width="1%">
                            </td>
                            <td>
                                <asp:Label ID="lblCreated" runat="server" Font-Bold="True"></asp:Label>&nbsp;<asp:HyperLink
                                    ID="hlOpenXMLtop" runat="server"></asp:HyperLink></td>
                        </tr>
                        <tr>
                            <td align="right" width="21%">
                                <b>Opml Version</b></td>
                            <td width="1%">
                            </td>
                            <td>
                                <asp:DropDownList ID="ddlVersions" runat="server" CssClass="DropDown_small">
                                </asp:DropDownList></td>
                        </tr>
                        <tr>
                            <td align="left" colspan="3">
                                <div id="Ver03">
                                    <table width="100%" border="0">
                                        <tr>
                                            <td align="right" width="23%">
                                                <b>Head</b></td>
                                            <td width="1%">
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                Title</td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtHeadTitle" runat="server" CssClass="textbox_large" Width="100%"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                Owner Name</td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtOwner" runat="server" CssClass="textbox_large" Width="100%"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                <asp:Label ID="lblOwnerId" runat="server"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:Label ID="lblIdColon" runat="server"></asp:Label></td>
                                            <td>
                                                <asp:TextBox ID="txtOwnerId" runat="server" CssClass="textbox_large" Width="100%"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td align="right" width="15%">
                                                <b>Outline</b></td>
                                            <td width="1%">
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                Title</td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtOutlineTitle" runat="server" CssClass="textbox_large" Width="100%"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                Text</td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtOutlineText" runat="server" CssClass="textbox_large" Width="100%"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                Description</td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtOutlineDesc" runat="server" CssClass="textbox_large" Width="100%"
                                                    TextMode="MultiLine" Rows="3"></asp:TextBox></td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            </td>
                            <td>
                            </td>
                            <td>
                                <asp:Button ID="btnCreate" runat="server" CssClass="Button" Text="Create" OnClick="btnCreate_Click">
                                </asp:Button>&nbsp;
                                <asp:Label ID="lblMsg" runat="server" CssClass="ErrorMsg" ForeColor="Red"></asp:Label>
                                <asp:HyperLink ID="hlViewError" runat="server"></asp:HyperLink>
                            </td>
                        </tr>
                        <tr>
                            <td align="right" width="21%">
                            </td>
                            <td width="1%">
                            </td>
                            <td>
                                <asp:Label ID="lblCreatedBottom" runat="server" Font-Bold="True"></asp:Label>&nbsp;
                                <asp:HyperLink ID="hlOpenXML" runat="server"></asp:HyperLink>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <a href="../OpmlMenuIndex.htm">&lt;&lt; Back to OPML.NET Samples </a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <div id="divError" style="display: none; width: 270px; background-color: White; border: solid 2px"
                                    runat="server">
                                    <table width="100%">
                                        <tr>
                                            <td align="right">
                                                <a href="#" onclick="document.getElementById('divError').style.display='none';">Close</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="labelError">
                                                <asp:Label ID="lblError" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <center>
            Copyright  2002 - 2008 ToolButton Inc. All rights reserved.</center>
    </form>
</body>
</html>
